Arch Panel Cut/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(22 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Arch Panel Cut|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Panel Tools → Panel Cut|Shortcut=P,C|SeeAlso=[[Arch Panel]], [[Arch Panel Sheet]], [[Arch Nest]], [[Path Workbench]]}}
{{docnav/ro|[[Arch_Panel|Panel]]|[[Arch_Panel_Sheet|Panel Sheet]]|[[Arch_Workbench/ro|Arch]]|IconL=Arch_Panel.svg |IconC=Workbench_Arch.svg |IconR=Arch_Panel_Sheet.svg}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/ro
|Name=Arch Panel Cut|Name/ro=Arch Panel Cut
|MenuLocation=Arch → Panel Tools → Panel Cut
|Workbenches=[[Arch_Workbench/ro|Arch]]
|Shortcut={{KEY|P}} {{KEY|C}}
|SeeAlso=[[Arch Panel/ro]], [[Arch Panel Sheet/ro]], [[Arch Nest/ro]], [[Path Workbench/ro]]
}}
</div>

<span id="Description"></span>
==Descriere==
==Descriere==


<div class="mw-translate-fuzzy">
Acest instrument creează, în documentul 3D, o vizualizare plană 2D a unui panou [[Arch Panel]], care va fi inclus într-o [[Arch Panel Sheet]] sau exportată direct în [[Draft DXF | DXF]]. Obiectele Panel Cut sunt, de asemenea, acceptate de [[Path Workbench]].
Acest instrument creează, în documentul 3D, o vizualizare plană 2D a unui panou [[Arch Panel]], care va fi inclus într-o [[Arch Panel Sheet]] sau exportată direct în [[Draft DXF | DXF]]. Obiectele Panel Cut sunt, de asemenea, acceptate de [[Path Workbench]].
</div>


[[Image:Arch Wikihouse 02.jpg|1024px]]
[[Image:Arch Wikihouse 02.jpg|1024px]]


<span id="Usage"></span>
== Cum se folosește ==
== Cum se folosește ==


<div class="mw-translate-fuzzy">
# Selecta'i unul sau mai multe obiecte [[Arch Panel]] objects
# Selecta'i unul sau mai multe obiecte [[Arch Panel]] objects
# Apăsați butonul {{KEY|[[Image:Arch Panel Cut.png|16px]] [[Arch Panel Cut]]}}, sau apăsați tastele în ordine {{KEY|P}} apoi {{KEY|C}}
# Apăsați butonul {{KEY|[[Image:Arch Panel Cut.png|16px]] [[Arch Panel Cut]]}}, sau apăsați tastele în ordine {{KEY|P}} apoi {{KEY|C}}
# Modificați propreitățile dorite
# Modificați propreitățile dorite
</div>


<span id="Options"></span>
== Opţiuni ==
== Opţiuni ==


<div class="mw-translate-fuzzy">
* În cazul în care panoul nu este plat (de exemplu, ondulat), relieful nu va apărea în panoul tăiat. Acest instrument este util în special pentru panourile plate
* În cazul în care panoul nu este plat (de exemplu, ondulat), relieful nu va apărea în panoul tăiat. Acest instrument este util în special pentru panourile plate
* The panel cut can display a tag. This tag can be a custom line of text or can automatically show the Tag, Label or Description of its linked Panel.
* The panel cut can display a tag. This tag can be a custom line of text or can automatically show the Tag, Label or Description of its linked Panel.
Line 22: Line 42:
* Double-clicking on the panel cut in the tree view after it is created allows you to enter edit mode and modify the position of the tag
* Double-clicking on the panel cut in the tree view after it is created allows you to enter edit mode and modify the position of the tag
* Atunci când aveți nevoie să structurați diferite tăieturi de panouri împreună, panourile de tăiere pot afișa o marjă, care este utilă pentru a vă asigura că un spațiu este întotdeauna prezent între o tăietură și alta
* Atunci când aveți nevoie să structurați diferite tăieturi de panouri împreună, panourile de tăiere pot afișa o marjă, care este utilă pentru a vă asigura că un spațiu este întotdeauna prezent între o tăietură și alta
</div>


<span id="Properties"></span>
==Proprietăți==
==Proprietăți==


=== Data ===

<div class="mw-translate-fuzzy">
* {{PropertyData|Source}}: Obiectul [[Arch Panel]] afișat de Cut sa
* {{PropertyData|Source}}: Obiectul [[Arch Panel]] afișat de Cut sa
* {{PropertyData|Tag Text}}: The text to display. Can be %tag%, %label% or %description% to display the panel tag or label
* {{PropertyData|Tag Text}}: The text to display. Can be %tag%, %label% or %description% to display the panel tag or label
Line 34: Line 59:
* {{PropertyView|Show Margin}}: Turns the display of the margin on/off
* {{PropertyView|Show Margin}}: Turns the display of the margin on/off
* {{PropertyData|Make Face}}: Dacă este True, panelul este o Part Face, altfel este o Part Wire
* {{PropertyData|Make Face}}: Dacă este True, panelul este o Part Face, altfel este o Part Wire
</div>


=== View ===

* {{PropertyView|Margin}}: A margin that can be displayed outside the panel cut shape
* {{PropertyView|Show Margin}}: Turns the display of the margin on/off

==Scripting==

<div class="mw-translate-fuzzy">
== Scrip-Programare ==
== Scrip-Programare ==
</div>


<div class="mw-translate-fuzzy">
Instrumentul Panel poate fi utilizat în [[macros]] și de la consola python utilizând următoarele funcții:
Instrumentul Panel poate fi utilizat în [[macros]] și de la consola python utilizând următoarele funcții:
</div>
{{Code|code=
{{Code|code=
View = makePanelCut(panel, name="PanelView")}}
makePanelCut (object)}}

* Creates a {{incode|View}} object (2D projection) from the existing {{incode|panel}}.


Exempluː
Exempluː
{{Code|code=
{{Code|code=
import Arch,Draft
import FreeCAD, Draft, Arch

base = Draft.makeRectangle(500,200)
p1 = FreeCAD.Vector(0, 0, 0)
panel = Arch.makePanel(base,thickness=36)
p2 = FreeCAD.Vector(500, 0, 0)
Arch.makePanelCut(panel)
p3 = FreeCAD.Vector(500, 50, 0)
p4 = FreeCAD.Vector(550, 50, 0)
p5 = FreeCAD.Vector(600, 0, 0)
p6 = FreeCAD.Vector(1000, 0, 0)
p7 = FreeCAD.Vector(1000, 400, 0)
p8 = FreeCAD.Vector(600, 400, 0)
p9 = FreeCAD.Vector(600, 350, 0)
p10 = FreeCAD.Vector(550, 350, 0)
p11 = FreeCAD.Vector(500, 400, 0)
p12 = FreeCAD.Vector(0, 400, 0)

Wire = Draft.makeWire([p1, p2, p3, p4, p5, p6,
p7, p8, p8, p9, p10, p11, p12], closed=True)
Panel = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

View = Arch.makePanelCut(Panel)
View.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()
}}
}}


<span id="Tutorials"></span>
== Tutoriale ==
== Tutoriale ==


<div class="mw-translate-fuzzy">
* [[Wikihouse porting tutorial]]
* [[Wikihouse porting tutorial]]
</div>


<div class="mw-translate-fuzzy">
{{docnav/ro|[[Arch_Panel|Panel]]|[[Arch_Panel_Sheet|Panel Sheet]]|[[Arch_Workbench/ro|Arch]]|IconL=Arch_Panel.svg |IconC=Workbench_Arch.svg |IconR=Arch_Panel_Sheet.svg}}
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 16:58, 18 April 2024

Arch Panel Cut

poziția meniului
Arch → Panel Tools → Panel Cut
Ateliere
Arch
scurtătură
P C
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Panel/ro, Arch Panel Sheet/ro, Arch Nest/ro, Path Workbench/ro

Descriere

Acest instrument creează, în documentul 3D, o vizualizare plană 2D a unui panou Arch Panel, care va fi inclus într-o Arch Panel Sheet sau exportată direct în DXF. Obiectele Panel Cut sunt, de asemenea, acceptate de Path Workbench.

Cum se folosește

  1. Selecta'i unul sau mai multe obiecte Arch Panel objects
  2. Apăsați butonul Arch Panel Cut, sau apăsați tastele în ordine P apoi C
  3. Modificați propreitățile dorite

Opţiuni

  • În cazul în care panoul nu este plat (de exemplu, ondulat), relieful nu va apărea în panoul tăiat. Acest instrument este util în special pentru panourile plate
  • The panel cut can display a tag. This tag can be a custom line of text or can automatically show the Tag, Label or Description of its linked Panel.
  • To be useful for CNC machining, the tag should be written using a sticky font, where letters are simple polylines that are easy for the machine to follow. Upon creation, the Panel Cut object will automatically use the font specified in Edit → Preferences → Draft → Texts and Dimensions → ShapeString Font
  • Double-clicking on the panel cut in the tree view after it is created allows you to enter edit mode and modify the position of the tag
  • Atunci când aveți nevoie să structurați diferite tăieturi de panouri împreună, panourile de tăiere pot afișa o marjă, care este utilă pentru a vă asigura că un spațiu este întotdeauna prezent între o tăietură și alta

Proprietăți

Data

  • DateSource: Obiectul Arch Panel afișat de Cut sa
  • DateTag Text: The text to display. Can be %tag%, %label% or %description% to display the panel tag or label
  • DateTag Size: The size of the tag text
  • DateTag Position: The position of the tag text. Keep (0,0,0) for automatic center position
  • DateTag Rotation: The rotation of the tag text
  • DateFont File: The font of the tag text
  • VizualizareMargin: A margin that can be displayed outside the panel cut shape
  • VizualizareShow Margin: Turns the display of the margin on/off
  • DateMake Face: Dacă este True, panelul este o Part Face, altfel este o Part Wire

View

  • VizualizareMargin: A margin that can be displayed outside the panel cut shape
  • VizualizareShow Margin: Turns the display of the margin on/off

Scripting

Scrip-Programare

Instrumentul Panel poate fi utilizat în macros și de la consola python utilizând următoarele funcții:

View = makePanelCut(panel, name="PanelView")
  • Creates a View object (2D projection) from the existing panel.

Exempluː

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(500, 0, 0)
p3 = FreeCAD.Vector(500, 50, 0)
p4 = FreeCAD.Vector(550, 50, 0)
p5 = FreeCAD.Vector(600, 0, 0)
p6 = FreeCAD.Vector(1000, 0, 0)
p7 = FreeCAD.Vector(1000, 400, 0)
p8 = FreeCAD.Vector(600, 400, 0)
p9 = FreeCAD.Vector(600, 350, 0)
p10 = FreeCAD.Vector(550, 350, 0)
p11 = FreeCAD.Vector(500, 400, 0)
p12 = FreeCAD.Vector(0, 400, 0)

Wire = Draft.makeWire([p1, p2, p3, p4, p5, p6,
                       p7, p8, p8, p9, p10, p11, p12], closed=True)
Panel = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

View = Arch.makePanelCut(Panel)
View.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Tutoriale